/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {SubContractorPrincipalResponse} from "./subContractorPrincipalResponse";
import {WorkerPrincipalResponse} from "./workerPrincipalResponse";

export class SubContractorResponse {
    public principal: SubContractorPrincipalResponse;

    public workers: WorkerPrincipalResponse[];

    /**
     * Creates a SubContractorResponse.
     *
     * @param {SubContractorPrincipalResponse} principal
     * @param {WorkerPrincipalResponse} workers
     */
    constructor(principal: SubContractorPrincipalResponse, workers: WorkerPrincipalResponse[]) {
        this.principal = principal;
        this.workers = workers;
    }
}
